plugins {
    id("jfmod") version "1.5-SNAPSHOT"
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "google-chat"

val fabricVersion = "0.91.1+1.20.4"
jfMod {
    minecraftVersion = "1.20.4"
    yarn("build.1")
    loaderVersion = "0.15.0"
    libJfVersion = "3.14.1"

    modrinth {
        projectId = "google-chat"
        requiredDependencies.add("libjf")
        optionalDependencies.add("modmenu")
    }
    curseforge {
        projectId = "574331"
        requiredDependencies.add("libjf")
        optionalDependencies.add("modmenu")
    }
}

dependencies {
    modImplementation("io.gitlab.jfronny.libjf:libjf-config-core-v2:${jfMod.libJfVersion.get()}")
    modImplementation("io.gitlab.jfronny.libjf:libjf-translate-v1:${jfMod.libJfVersion.get()}")
    include(modImplementation(fabricApi.module("fabric-message-api-v1", fabricVersion))!!)
    // Keybind
    modCompileOnly(fabricApi.module("fabric-key-binding-api-v1", fabricVersion))
    modCompileOnly(fabricApi.module("fabric-lifecycle-events-v1", fabricVersion))

    // Dev env
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-config-ui-tiny:${jfMod.libJfVersion.get()}")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${jfMod.libJfVersion.get()}")
    modLocalRuntime(fabricApi.module("fabric-resource-loader-v0", fabricVersion))
    modLocalRuntime("com.terraformersmc:modmenu:9.0.0-pre.1")
}
